Package org.eclipse.m2m.atl.emftvm.trace

# Interface TracedRule

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `TracedRuleImpl`

public interface TracedRule extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Traced Rule'.

See Also:
  - `TracePackage.getTracedRule()`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<TraceLink>`
`getLinks()`
Returns the value of the 'Links' containment reference list.
`TraceLinkSet`
`getLinkSet()`
Returns the value of the 'Link Set' container reference.
`String`
`getRule()`
Returns the value of the 'Rule' attribute.
`SourceElement`
`getUniqueSourceElement(Object sourceElement)`
`org.eclipse.emf.common.util.EList<SourceElementList>`
`getUniqueSourceElementLists()`
Returns the value of the 'Unique Source Element Lists' containment reference list.
`org.eclipse.emf.common.util.EList<SourceElement>`
`getUniqueSourceElements()`
Returns the value of the 'Unique Source Elements' reference list.
`SourceElementList`
`getUniqueSourceElements(List<?> sourceElements)`
`void`
`setLinkSet(TraceLinkSet value)`
Sets the value of the '`Link Set`' container reference.
`void`
`setRule(String value)`
Sets the value of the '`Rule`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getRule

String getRule()
Returns the value of the 'Rule' attribute.

If the meaning of the 'Rule' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rule' attribute.
See Also:
  - `setRule(String)`
  - `TracePackage.getTracedRule_Rule()`

### setRule

void setRule(String value)
Sets the value of the '`Rule`' attribute.

Parameters:
  `value` - the new value of the 'Rule' attribute.
See Also:
  - `getRule()`

### getLinks

org.eclipse.emf.common.util.EList<TraceLink> getLinks()
Returns the value of the 'Links' containment reference list. The list contents are of type `TraceLink`. It is bidirectional and its opposite is '`Rule`'.

If the meaning of the 'Links' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Links' containment reference list.
See Also:
  - `TracePackage.getTracedRule_Links()`
  - `TraceLink.getRule()`

### getLinkSet

TraceLinkSet getLinkSet()
Returns the value of the 'Link Set' container reference. It is bidirectional and its opposite is '`Rules`'.

If the meaning of the 'Link Set' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Link Set' container reference.
See Also:
  - `setLinkSet(TraceLinkSet)`
  - `TracePackage.getTracedRule_LinkSet()`
  - `TraceLinkSet.getRules()`

### setLinkSet

void setLinkSet(TraceLinkSet value)
Sets the value of the '`Link Set`' container reference.

Parameters:
  `value` - the new value of the 'Link Set' container reference.
See Also:
  - `getLinkSet()`

### getUniqueSourceElements

org.eclipse.emf.common.util.EList<SourceElement> getUniqueSourceElements()
Returns the value of the 'Unique Source Elements' reference list. The list contents are of type `SourceElement`. It is bidirectional and its opposite is '`Unique For`'.

If the meaning of the 'Unique Source Elements' reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Unique Source Elements' reference list.
See Also:
  - `TracePackage.getTracedRule_UniqueSourceElements()`
  - `SourceElement.getUniqueFor()`

### getUniqueSourceElementLists

org.eclipse.emf.common.util.EList<SourceElementList> getUniqueSourceElementLists()
Returns the value of the 'Unique Source Element Lists' containment reference list. The list contents are of type `SourceElementList`. It is bidirectional and its opposite is '`Unique For`'.

If the meaning of the 'Unique Source Element Lists' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Unique Source Element Lists' containment reference list.
See Also:
  - `TracePackage.getTracedRule_UniqueSourceElementLists()`
  - `SourceElementList.getUniqueFor()`

### getUniqueSourceElement

SourceElement getUniqueSourceElement(Object sourceElement)

### getUniqueSourceElements

SourceElementList getUniqueSourceElements(List<?> sourceElements)